Subject: Re: expunging minds want to know

From: Tomas Kullman <[email-masked]>
Date: Sun, 17 Jul 1994 15:05:23 -0100

Adam,

> This propagates the mm_expunged BEFORE freeing the element so my code is guaranteed to have the
> element around and lets me look for the message number, which will still be 43 in our example.
> Multi-thread races could complicate this a little, but not on the Mac :)
> 
> >From what you say, I don't see how my change would break others code, if they don't rely on the
> element (as they currently shouldn't), but I'd like to propose this change to future versions of
> c-client, unless others shoot me down in flames.  It does seem to me its more standard programming
> practice to notify dependents of changes before the notifier breaks links.

I think your suggested change is reasonable. I agree with you about the practice of notification.

> Is there a new c-client in the works, complying with IMAP4?  Assuming you're amenable to this change
> (yes, its a big assumption) I have a couple other changes to request.  One is optional logging
> capabilities, which I've had to insert in imap_send, imap_parse_reply, and imap_send_literal.  The
> other is that I'd like to replace all the hard-coded strings with localizable string references.  I
> acknowledge how evil it is to tweak underlying libraries, and would like to follow proper channels
> to get all these things incorporated in the official version.

You're right, hard-coded strings are bad in these circumstances. In fact, I don't like the
idea of language dependent strings in an API at all. Making c-client language independent
will certainly help us in this matter. We have done these evil tweakings ourselfs but prefer
not doing it if possible.

Tomas